Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.parameter
Class InvalidParameterValueException

    Object
      Throwable
          Exception
              RuntimeException
                  IllegalArgumentException
                      InvalidParameterValueException

All Implemented Interfaces:
  Serializable

    @UML(identifier="GC_InvalidParameterValue",
         specification=ISO_19111)
    public class InvalidParameterValueException

extends IllegalArgumentException

Thrown when an invalid value was given to a parameter.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  `ParameterValue.setValue(int)`, `ParameterValue.setValue(double)`, `ParameterValue.setValue(Object)`, Serialized Form

Constructor Summary
`InvalidParameterValueException(String message, String parameterName, double value)` Creates an exception with the specified invalid value as a floating point.
`InvalidParameterValueException(String message, String parameterName, int value)` Creates an exception with the specified invalid value as an integer.
`InvalidParameterValueException(String message, String parameterName, Object value)` Creates an exception with the specified invalid value.

Method Summary
`String` | `getParameterName()` Returns the parameter name.
`Object` | `getValue()` Returns the invalid parameter value.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidParameterValueException

    public InvalidParameterValueException(String message,
                                          String parameterName,
                                          Object value)

  Creates an exception with the specified invalid value.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `parameterName` - The parameter name.
    `value` - The invalid parameter value.

### InvalidParameterValueException

    public InvalidParameterValueException(String message,
                                          String parameterName,
                                          double value)

  Creates an exception with the specified invalid value as a floating point.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `parameterName` - The parameter name.
    `value` - The invalid parameter value.

### InvalidParameterValueException

    public InvalidParameterValueException(String message,
                                          String parameterName,
                                          int value)

  Creates an exception with the specified invalid value as an integer.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `parameterName` - The parameter name.
    `value` - The invalid parameter value.

Method Detail

### getParameterName

    public String getParameterName()

  Returns the parameter name.

### getValue

    public Object getValue()

  Returns the invalid parameter value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.